﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGrid_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Item> Items { get; set; }
        public ObservableCollection<int> ComboItems { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            Items = new ObservableCollection<Item>();
            for (int i = 1; i <= 5; ++i)
                Items.Add(new Item("Item " + i, 
                                    new ObservableCollection<object>() { i, i + 1, i + 3},
                                    i * 7));

            ComboItems = new ObservableCollection<int>()
            { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};

            this.DataContext = this;
        }
    }
    
}
